<?php

$id = $_GET['id'];

$errors = array();

if ($_POST) {
	$cim = $_POST['cim'];
	$leiras = $_POST['leiras'];
	$publikus = isset($_POST['publikus']) ? 1 : 0;
	$cimkeszoveg = $_POST['cimkek'];
	
	if (trim($cim) == '') {
		$errors[] = 'A név kitöltése kötelező!';
	}
	if (trim($leiras) == '') {
		$errors[] = 'A leírás kitöltése kötelező!';
	}
	
	if (empty($errors)) {
		$mysqli = new mysqli('localhost:5030', 'dyss', 'jelszo', 'dyss');
		$mysqli->query('set names utf8');

		$mysqli->autocommit(FALSE);
		//$mysqli->query('start transaction');
		
		$q = "update bemutato
				set cim = ?, leiras = ?, publikus = ?
				where id = ?";
		$stmt = $mysqli->prepare($q);
		$stmt->bind_param('ssii', $cim, $leiras, $publikus, $id);
		$stmt->execute();
		$stmt->free_result();
		
		$stmt = $mysqli->prepare('delete from bemutato_cimke where bemutato_id = ?');
		$stmt->bind_param('i', $id);
		$stmt->execute();
		$stmt->free_result();
		
		$cimkek = explode(',', $cimkeszoveg);
		foreach ($cimkek as $cimke) {
			$cimke = strtolower(trim($cimke));
			
			$q = 'select id from cimke where cimke = ?';
			$stmt = $mysqli->prepare($q);
			$stmt->bind_param('s', $cimke);
			$stmt->execute();
			$stmt->store_result(); 
			$stmt->bind_result($cimke_id);
			if ($stmt->num_rows > 0) {
				$stmt->fetch();
				$cimke_id;
				$stmt->free_result();
			}
			else {
				$q = 'insert into cimke (cimke) values (?)';
				$stmt = $mysqli->prepare($q);
				$stmt->bind_param('s', $cimke);
				$stmt->execute();
				$cimke_id = $stmt->insert_id;
				$stmt->free_result();
			}
			
			$q = 'insert into bemutato_cimke (bemutato_id, cimke_id) values (?, ?)';
			$stmt = $mysqli->prepare($q);
			$stmt->bind_param('ii', $id, $cimke_id);
			$stmt->execute();
			$stmt->free_result();
		}

		$mysqli->commit();
		//$mysqli->query('commit');
		$mysqli->close();
			
		header('Location: bemutatok_6.php');
		exit();
	}
}
else {
	$mysqli = new mysqli('localhost:5030', 'dyss', 'jelszo', 'dyss');
	$mysqli->query('set names utf8');
	
	$q = 'select cim, leiras, publikus from bemutato where id = ?';
	$stmt = $mysqli->prepare($q);
	$stmt->bind_param('i', $id);
	$stmt->execute();
	$stmt->store_result(); 
	$stmt->bind_result($cim, $leiras, $publikus);
	$stmt->fetch();
	$stmt->free_result();
	
	$q = 'select c.cimke
			from cimke c, bemutato_cimke bc
			where c.id = bc.cimke_id
			and bc.bemutato_id = ?';
	$stmt = $mysqli->prepare($q);
	$stmt->bind_param('i', $id);
	$stmt->execute();
	$stmt->store_result(); 
	$stmt->bind_result($cimke);
	$cimkek = array();
	while ($stmt->fetch()) {
		$cimkek[] = $cimke;
	}
	$stmt->free_result();
	$cimkeszoveg = implode(',', $cimkek);
	
	$mysqli->close();
}

?>
<!DOCTYPE html>
<html>
	<head>
		<title>DYSS</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<link type="text/css" href="styles/dyss.css" rel="stylesheet" />
		<link type="text/css" href="styles/keplista.css" rel="stylesheet" />
	</head>
	<body>

		<header>
			<div>
				<h1><a href="#">DYSS</a></h1>
				<p><a href="#" class="button"><span>gyozke fiókja</span></a></p>
			</div>
		</header>
		<div id="content">
			<aside>
				<nav>
					<ul>
						<li><a href="#">Bemutatóim</a></li>
						<li><a href="#">Profilom</a></li>
						<li><a href="#">Kilépés</a></li>
					</ul>
				</nav>
			</aside>
			<div id="main_content">
				<div class="title">
					<h2>Új bemutató 3</h2>
					<ul>
						<li><a href="#" class="button"><span>Vissza a bemutatóhoz</span></a></li>
						<li><a href="#" class="button"><span>Vetítés</span></a></li>
						<li><a href="#" class="button"><span>Új kép</span></a></li>
					</ul>
					<div class="separator"></div>
				</div>
				<div id="inner_content">
					<h3>Bemutató adatainak szerkesztése</h3>
					<?php if (!empty($errors)) : ?>
					<div class="error">
						<ul>
						<?php foreach ($errors as $error) : ?>
							<li><?php echo $error; ?></li>
						<?php endforeach; ?>
						</ul>
					</div>
					<?php endif; ?>
					<form action="bemutato_szerkeszt.php?id=<?php echo $id; ?>" method="post" accept-charset="utf-8" class="big">						
						<dl>

							<dt><label for="cim">Cím</label></dt>
							<dd><input type="text" name="cim" value="<?php echo $cim; ?>" id="cim" class="text"  /></dd>

							<dt><label for="leiras">Leírás</label></dt>
							<dd><textarea name="leiras" cols="90" rows="12" id="leiras" class="text" ><?php echo $leiras; ?></textarea></dd>

							<dt><label for="Publikus">Publikus</label></dt>
							<dd><input type="checkbox" name="publikus" value="publikus" id="publikus" <?php echo $publikus ? 'checked="checked"' : ''; ?> /></dd>

							<dt><label for="cimkek">Címkék</label></dt>
							<dd><input type="text" name="cimkek" value="<?php echo $cimkeszoveg; ?>" id="cimkek" class="text"  /></dd>

							<dd><input type="submit" name="szerkeszt" value="Bemutató adatainak módosítása" class="button"  /></dd>
						</dl>
					</form>				
				</div>
				<div class="separator"></div>
			</div>
			<div class="separator"></div>
		</div>
		<footer>&copy; Horváth Győző, Eötvös Loránd Tudományegyetem, Informatika Kar</footer>
	</body>
</html>
